﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Sample.Default" %>

<%@ Register TagPrefix="ej" Namespace="Syncfusion.JavaScript.Models" Assembly="Syncfusion.EJ" %>
<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">

   <div id="container" style="width:100%;height:200%;border:1px solid">
    <div id ="one">
   <ej:Grid ID="OrdersGrid" runat="server" AllowPaging="True" AllowScrolling="True" >   
       <ToolbarSettings ShowToolbar="true" ToolbarItems="excelExport,wordExport,pdfExport"></ToolbarSettings>
            <SummaryRows>
                <ej:SummaryRow ShowGroupSummary="false">
                    <SummaryColumn>
                        <ej:SummaryColumn SummaryType="Sum" Format="{0:C}" Prefix="Sum = " DisplayColumn="Freight" DataMember="Freight" />
                    </SummaryColumn>
                </ej:SummaryRow>                
            </SummaryRows>
   <ClientSideEvents Create="create" />
            <Columns>
                <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="True" Width="50" />
                <ej:Column Field="CustomerID" HeaderText="Customer ID" Width="50" />
                <ej:Column Field="EmployeeID" HeaderText="Employee ID" Width="50" />
                   <ej:Column Field="Freight" HeaderText="Freight" Format="{0:C}" Width="40" />
            </Columns>
            <ScrollSettings Height="200" Width="800" ></ScrollSettings>
            <PageSettings PageSize="7" />
     </ej:Grid> 
     </div>
    <div id="two">
    <ej:Grid ID="Grid1" runat="server" AllowPaging="True" AllowScrolling="True" >            
   <ClientSideEvents Create="create1" />
        <ToolbarSettings ShowToolbar="true" ToolbarItems="excelExport,wordExport,pdfExport"></ToolbarSettings>
            <SummaryRows>
                <ej:SummaryRow ShowGroupSummary="false">
                    <SummaryColumn>
                        <ej:SummaryColumn SummaryType="Sum" Format="{0:C}" Prefix="Sum = " DisplayColumn="Freight" DataMember="Freight" />
                    </SummaryColumn>
                </ej:SummaryRow>                
            </SummaryRows>
            <Columns>
                <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="True" Width="50" />
                <ej:Column Field="CustomerID" HeaderText="Customer ID" Width="50" />
                <ej:Column Field="EmployeeID" HeaderText="Employee ID" Width="50" />
                <ej:Column Field="Freight" HeaderText="Freight" Format="{0:C}" Width="40" />
                
            </Columns>
            <ScrollSettings Height="200" Width="800" ></ScrollSettings>
            <PageSettings PageSize="7" />
     </ej:Grid>
    </div>

    <script>
    function create(args) {
        var grid = $('#<%= OrdersGrid.ClientID %>').data("ejGrid"); 
        var scrollerwidth = $("#container").width();//Obtain the width of the container
        var scrollerheight = ($("#container").height()) - ($(".e-gridheader").outerHeight()) - ($(".e-gridtoolbar").outerHeight()) - ($("tr").hasClass("e-gridSummaryRows") ? $(".e-gridSummaryRows").outerHeight() : 0) - ($(".e-pager").outerHeight());//Obtain the height of the container and subtract it from gridheader and pager
        grid.option({ allowScrolling: true, scrollSettings: { width: scrollerwidth, height: scrollerheight } });//pass the obtainer width and height to gridmodel options
        }

        function create1(args) {
            var grid = $('#<%= Grid1.ClientID %>').data("ejGrid");
             var scrollerwidth = $("#container").width();//Obtain the width of the container
            var scrollerheight = ($("#container").height()) - ($(".e-gridheader").outerHeight()) - ($(".e-gridtoolbar").outerHeight()) - ($("tr").hasClass("e-gridSummaryRows") ? $(".e-gridSummaryRows").outerHeight() : 0) - ($(".e-pager").outerHeight());//Obtain the height of the container and subtract it from gridheader and pager
             grid.option({ allowScrolling: true, scrollSettings: { width: scrollerwidth, height: scrollerheight } });//pass the obtainer width and height to gridmodel options
         }
     </script>
</asp:Content>
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
     <%-- <script>
       function click(args) {
           var gridObj = $("#<%= Grid.ClientID %>").data("ejGrid");
              gridObj.print();
           }
       </script>
    </asp:Content>--%>
      <%--</asp:Content>--%>

   <%-- <asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">--%>
    
  <%-- </asp:Content>--%>

    <%-- <ToolbarSettings ShowToolbar="true" ToolbarItems="printGrid">
               <CustomToolbarItem>
                    <ej:CustomToolbarItem TemplateID="#Refresh" />
                </CustomToolbarItem>
           </ToolbarSettings>
            <ClientSideEvents ToolbarClick="onToolBarClick" ActionBegin="action" />--%>
 <%--<script id="Refresh" type="text/x-jsrender">
        <a class="e-toolbaricons refresh" />
    </script>
    <script type="text/javascript">
        function onToolBarClick(sender) {
            if(sender.itemName == "Refresh")
                this.refreshContent();
        }
        function action(args) {
        if(args.requestType == "print")
            this.model.allowScrolling = true;
        }
    </script>
<style type="text/css" class="cssStyles">
        .refresh {
            background-position: -76px 3px;
        }
        .e-toolbaricons {
            background-image: url("Themes/common-images/icons-gray.png");
        }
         .Expand:hover, .Collapse:hover, .refresh:hover {
            background-image: url("Themes/common-images/icons-white.png");
        }
    </style>--%>

 <%--<div>
         
        <ej:Grid ID="Grid" runat="server" AllowPaging="True" AllowSorting="True" AllowGrouping="True" OnServerWordExporting="Grid_ServerWordExporting" OnServerPdfExporting="Grid_ServerPdfExporting" OnServerExcelExporting="Grid_ServerExcelExporting">
            <ToolbarSettings ShowToolbar="true" ToolbarItems="excelExport,wordExport,pdfExport"></ToolbarSettings>
            <Columns>
                <ej:Column Field="OrderID" HeaderText="Order ID" Width="75" TextAlign="Right"/>
                <ej:Column Field="CustomerID" Width="80"/>
                <ej:Column Field="Freight" HeaderText="Freight" Format="{0:C}" TextAlign="Right"  Width="75"/>
                <ej:Column Field="OrderDate" Format="{0:MM/dd/yyyy}"  Width="80" TextAlign="Right"/>
                <ej:Column Field="ShipCity" HeaderText="Ship City" Width="110"/>
           </Columns>   
         </ej:Grid>
     </div>--%>

     
<%--</asp:Content>--%>